Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.busybox.net/busybox.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2006-03-02 01:54:48 +0300
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2006-03-02 01:54:48 +0300
commit5d26126b9e8fd6c6f5098dbaa2e5b9e2901749bf (patch)
tree233c051da862595b6e473e832051708e2d9803cb /applets/install.sh
parent12c2429a4242a157217c5bc9673a531fa1e1de61 (diff)
- fixes parallel builds (make -j)
- use less resources for the buildsystem itself
Diffstat (limited to 'applets/install.sh')
-rwxr-xr-xapplets/install.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/applets/install.sh b/applets/install.sh
index 2c643f2f2..0173e7a44 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -28,7 +28,8 @@ if [ "$DO_INSTALL_LIBS" != "n" ]; then
for i in $DO_INSTALL_LIBS; do
rm -f $prefix/$libdir/$i || exit 1
if [ -f $i ]; then
- install -m 644 $i $prefix/$libdir/ || exit 1
+ cp -a $i $prefix/$libdir/ || exit 1
+ chmod 0644 $prefix/$libdir/$i || exit 1
fi
done
fi